/* MyHandlers.h
 * Interface to routines to handler apple events.
 * 1992 Working Software, Inc.
 * This source code is copyrighted.  Permission is granted to use the Word Services
 * portion of the Writeswell Jr. source code in your own programs, but you 
 * may not distribute the Writeswell Jr. word-processor code as a 
 * commercial product.  If you modify the code, please do not call it 
 * Writeswell Jr. (or Writeswell.)  This will ensure that people understand the 
 * program and dont have to deal with a number of different versions with 
 * who-knows-what going on in the code.
 * 
 * Writeswell Jr. and Writeswell are trademarks of Working Software, Inc.
 * 10 Sep 91 Mike Crawford
 */

/* Note that this is the interface to different source files.  The point is to allow
 * the use of a single function to install these handlers, but for different projects
 * to implement the handlers differently.  Each project has its own MyHandlers.c, but this
 * header file is placed in the library source folder.  I am not sure if this is a good
 * idea, but we shall see.
 */

pascal OSErr MyOAPPHandler( AppleEvent *theAppleEventPtr,
							AppleEvent *replyEventPtr,
							long refCon );

pascal OSErr MyODocHandler( AppleEvent *theAppleEventPtr,
							AppleEvent *replyEventPtr,
							long refCon );

pascal OSErr MyPDocHandler( AppleEvent *theAppleEventPtr,
							AppleEvent *replyEventPtr,
							long refCon );

pascal OSErr MyQuitHandler( AppleEvent *theAppleEventPtr,
							AppleEvent *replyEventPtr,
							long refCon );

pascal OSErr MyAnswerHandler( AppleEvent *theAppleEventPtr,
							AppleEvent *replyEventPtr,
							long refCon );
